Subject: Re: [PATCH 16/16] dma-mapping: use exact allocation in dma_alloc_contiguous

From: 'Christoph Hellwig' <[email-masked]>
Date: Fri, 14 Jun 2019 17:05:58 +0200

On Fri, Jun 14, 2019 at 03:01:22PM +0000, David Laight wrote:
> I'm pretty sure there is a lot of code out there that makes that assumption.
> Without it many drivers will have to allocate almost double the
> amount of memory they actually need in order to get the required alignment.
> So instead of saving memory you'll actually make more be used.

That code would already be broken on a lot of Linux platforms.